package main

import (
	"fmt"
	"os"
	"strings"
	"bufio"
)

func splitWords(s string) []string {
	var runes []rune = []rune(s)
	var result []string
	var lasti int

	//for i :=0; i<len(runes); i++ {
	for i, _ := range runes { //for every position
		if runes[i] == ' ' {
			result = append(result, string(runes[lasti:i]))
			lasti = i+1
		}
	}

	result = append(result, string(runes[lasti:len(runes)]))
	return result
}

func main() {
	reader := bufio.NewReader(os.Stdin)
	
	for {
		fmt.Print("Enter text: ")
		text, _ := reader.ReadString('\n')
		
		if text == "\n" {
			break
		}

		fmt.Println(splitWords(strings.TrimSuffix(text, "\n")))
	}

	fmt.Print("Byebye!")
}
