package main

import "os"
import "fmt"
import "strconv"

func main() {
	if len(os.Args) == 1 {
		fmt.Println("Requires a sequence of args")
		return
	}
	
	var input []int = []int{}

	for _, value := range os.Args[1:] {
		tmpint, _ := strconv.Atoi(value)
		input = append(input, tmpint)
	}

	var output []float64 = []float64{}

	for i:=4; i<len(input);i++ {
		output = append(output, float64(input[i-4]+input[i-3]+input[i-2]+input[i-1]+input[i])/5.0)
	}

	fmt.Println(output)
}

